@import url('https://fonts.googleapis.com/css2?family=Titillium+Web&display=swap');

:root {
    --cor1: #302d75;
    --cor2: #fff;
    --cor3: #F3B02F;
    --cor4: #000;
    --cor5: #b818bb;
    --cor6: #141050;
    --cor7: #5753a3;

}

* {
    padding: 0;
    margin: 0;
    box-sizing: border-box;
    font-family: 'Titillium Web', sans-serif;
}

body {
    background-image: url(../assets/TIJOLO-DEGRADE.jpg);
    background-repeat: no-repeat;
    background-size: cover;
    background-attachment: fixed;
}

header {
    height: 120px;
    background-color: var(--cor1);
    margin: auto;
}

nav {
    max-width: 1000px;
    height: 90%;
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    margin: auto;
}

.logo {
    height: 100%;
    width: 20%;
}

.logo img {
    width: 100px;
    padding: 10px;
}

.menu {
    width: 80%;
    height: 100%;
    list-style: none;
    display: flex;
    flex-direction: row;
    justify-content: right;
    align-items: flex-end;
    gap: 30px;
    font-size: 20px;
    margin-right: 10px;
}

.menu a {
    text-decoration: none;
    color: var(--cor2);
    text-shadow: 1px 1px 1px rgba(0, 0, 0, 0.452);
}

.menu a:hover {
    color: var(--cor3);
}

main {
    background-color: var(--cor2);
    max-width: 1000px; 
    margin: auto;
    padding: 20px;
}

.topo h1 {
    font-size: 30px;
    padding: 20px;
    padding-bottom: 0;
    font-weight: normal;
}

hr {
    max-width: 960px;
    margin: auto;
    margin-bottom: 40px;
}

.topo div {
    overflow: hidden;
    margin-bottom: 40px;
}

.topo p {
    padding: 20px;
    text-align: justify;
}

strong {
    font-size: 18px;
}

.topo img {
    max-width: 350px;
    padding: 0px 20px;
    float: left;
}

h2 {
    font-size: 30px;
    padding: 20px;
    padding-bottom: 0;
    font-weight: normal;
}

.quadros {
    display: flex;
    justify-content: space-between;
    padding-bottom: 40px;
    font-size: 20px;
    text-align: center;
}

.quadros a {
    text-decoration: none;
    color: var(--cor4);
    text-align: center;
    font-size: 20px;
}

.quadros img {
    max-width: 230px;
    align-items: center;
    flex-wrap: wrap;
}

.quadros img:hover {
    transform: scale(1.02);
    opacity: 0.5;
}

.orcamento {
    max-width: 960px; 
    margin: auto;
    background-image: url(../assets/orcamento.jpg);
    background-size: cover;
    overflow: hidden;
}

.formContainer {
    max-width: 350px;
    background-color: var(--cor5);
    padding: 20px;
    margin: 20px;
    float: right;
    border-radius: 10px;
}

.orcamento h2 {
    font-size: 18px;
    color: white;
    text-align: center;
    margin-bottom: 10px;
}

input {
    width: 100%;
    box-sizing: border-box;
    padding: 10px;
    border: none;
    margin-bottom: 10px;
}

textarea {
    width: 100%;
    height: 200px;
    box-sizing: border-box;
    padding: 10px;
    border: none;
    margin-bottom: 10px;
}

input[type="submit"] {
    color: var(--cor2);
    background-color: var(--cor1);
    font-weight: bold;
    height: 50px;
}

footer {
    background-color: var(--cor1);
    height: 200px;
    width: 100vw;
}

.container-foot {
    max-width: 1000px;
    min-height: 90%;
    margin: auto;
    display: grid;
    grid-template-columns: 20% 20% 30% 30%;
    justify-content: center;
    align-items: center;
}

.logo-foot img {
    width: 60%;
}

footer h3 {
    color: var(--cor3);
}

footer p {
    color: var(--cor2);
}

.media {
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    align-items: center;
    margin-right: 10px;
}

.rodape {
    background-color: var(--cor6);
    color: var(--cor7);
    font-size: 14px;
    text-align: center;
    padding: 10px;
    clear: both;
}

@media screen and (max-width: 850px) {

    body {
        background-color: var(--cor1);
        background-image: none;
        display: flex;
        flex-direction: column;
    }

    header {
        width: 100%;
    }

    nav {
        width: 100%;
        justify-content: space-between;
    }

    .menu {
        min-width: 80%;
        font-size: 20px;
        margin: 0 10px;
    }

    main {
        width: 100vw;
    }

    .quadros {
        flex-wrap: wrap;
        gap: 10px;
    }

    .orcamento {
        background-image: url(../assets/orcamentomedio.jpg);
        background-size:contain;
        overflow: hidden;
    }

    .container-foot {
        max-width: 100%;
        padding: 10px;
        display: flex;
        flex-direction: column;
        justify-content: center;
        align-items: center;
        gap: 20px;
        border: 1px solid gray;
        text-align: center;
    }

    .logo-foot img {
        max-width: 200px;
        padding: 10px;
    }

    .media {
        gap: 30px;
    }

}

@media screen and (max-width: 650px) {

    body {
        background-image: none;
        text-align: center;
        display: flex;
        flex-direction: column;
    }

    header {
        width: 100%;
        height: auto;
    }
    
    nav {
        width: 100%;
        display: flex;
        flex-direction: column;
        align-items: center;
        margin: auto;
        padding: 10px;
        gap: 10px;
    }

    .logo {
        width: 100%;
    }

    .logo img {
        width: 70%;
    }
        
    .menu {
        width: 100%;
        list-style: none;
        display: flex;
        flex-direction: row;
        justify-content: center;
        align-items: center;
        flex-wrap: wrap;
        font-size: 1em;
        padding: 10px;
    }

    main {
        max-width: 100vw; 
    }
    
    .topo div {
        display: flex;
        flex-direction: column;
        justify-content: center;
        align-items: center;
    }
    
    .quadros {
        display: flex;
        flex-direction: column;
        justify-content: center;
        align-items: center;
        padding-bottom: 40px;
        font-size: 20px;
        text-align: center;
    }
    
    .quadros a {
        text-decoration: none;
        color: var(--cor4);
        text-align: center;
        font-size: 20px;
    }
    
    .quadros img {
        max-width: 230px;
        align-items: center;
        flex-wrap: wrap;
    }
    
    .quadros img:hover {
        transform: scale(1.02);
        opacity: 0.5;
    }
    
    .orcamento {
        background-image: none;
    }
    
    .formContainer {
        max-width: 100vw;
        background-color: var(--cor5);
    }

    .media {
        flex-wrap: wrap;
        max-width: 80%;
        gap: 10px;
    }
}